Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Interface AuditAtzEvent

All Superinterfaces:
  AuditContext, AuditEvent

public interface AuditAtzEvent
extends AuditEvent, AuditContext

The `AuditAtzEvent` interface is used to post authorization audit events. The WebLogic Security Framework implements this interface and may post audit events for the following security events:

- Access to the WebLogic resource has been allowed.
- Access to the WebLogic resource has not been allowed.

An Authorization provider may also implement this interface and post additional types of authorization audit events.

An Auditing provider can use this interface to get additional information about the authorization audit event. The `AuditSeverity` attribute can be used to determine which of the above audit events has been posted.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Resource` | `getResource()` Gets the resource associated with this `AuditAtzEvent`.
`Subject` | `getSubject()` Gets the subject associated with this `AuditAtzEvent`.

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Methods inherited from interface weblogic.security.spi.AuditContext
`getContext`

Method Detail

### getResource

    public Resource getResource()

  Gets the resource associated with this `AuditAtzEvent`.

  Returns:
    the `Resource` object attempting to be accessed by the subject associated with this `AuditAtzEvent`.

### getSubject

    public Subject getSubject()

  Gets the subject associated with this `AuditAtzEvent`.

  Returns:
    the `Subject` object that is attempting to access the resource associated with this `AuditAtzEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD